const mongoose = require("mongoose");

const employeeSchema = new mongoose.Schema({
  employeeNumber: String,
  firstName: String,
  lastName: String,
  position: String,
  address: String,
  telephone: String,
  gender: String,
  hiredDate: String,
departmentCode: {
  type: String,
  required: true
},
  hiredDate: {
    type: String,
    required: true
  }
});

module.exports = mongoose.model("Employee", employeeSchema);